import 'package:skibidiwartube/utils/constants/app_info.dart';

const privacy = '''
   If you choose to use our Service, then you agree to the collection and use of information in relation with this policy. The Personal Information that we collect are used for providing and improving the Service. We will not use or share your information with anyone except as described in this Privacy Policy.


Information Collection and Use

For a better experience while using our Service, we may require you to provide us with certain personally identifiable information, including but not limited. The information that we request will be retained by us and used as described in this privacy policy.


Log Data

We want to inform you that whenever you use our Service, in case of an error in the app we collect data and information (through third party products) on your phone called Log Data. This Log Data may include information such as your devices’s Internet Protocol (“IP”) address, device name, operating system version, configuration of the app when utilising our Service, the time and date of your use of the Service, and other statistics.


Cookies

Cookies are files with small amount of data that is commonly used an anonymous unique identifier. These are sent to your browser from the website that you visit and are stored on your devices’s internal memory.
We want to inform users of this Service that these third parties have access to your Personal Information. The reason is to perform the tasks assigned to them on our behalf. However, they are obligated not to disclose or use the information for any other purpose.


Security

We value your trust in providing us your Personal Information, thus we are striving to use commercially acceptable means of protecting it. But remember that no method of transmission over the internet, or method of electronic storage is 100% secure and reliable, and we cannot guarantee its absolute security.


Third Party Privacy Policies

You should consult the respective privacy policies of these third-party ad servers for more detailed information on their practices as well as for instructions about how to opt-out of certain practices. Our privacy policy does not apply to, and we cannot control the activities of, such other advertisers or web sites. If you wish to disable cookies, you may do so through your individual browser options. More detailed information about cookie management with specific web browsers can be found at the browsers' respective websites. 


Links to Other Sites

This Service may contain links to other sites. If you click on a third-party link, you will be directed to that site. Note that these external sites are not operated by us. Therefore, I strongly advise you to review the Privacy Policy of these websites. I have no control over, and assume no responsibility for the content, privacy policies, or practices of any third-party sites or services.


Children’s Privacy

We believe it is important to provide added protection for children online. We encourage parents and guardians to spend time online with their children to observe, participate in and/or monitor and guide their online activity. This server does not knowingly collect any personally identifiable information from children under the age of 13. If a parent or guardian believes that server has in its database the personally-identifiable information of a child under the age of 13, please contact us immediately (using the contact in the first paragraph) and we will use our best efforts to promptly remove such information from our records. 


Changes to This Privacy Policy

We may update our Privacy Policy from time to time. Thus, you are advised to review this page periodically for any changes. These changes are effective immediately, after they are posted on this page.


Contact Us

If you have any questions or suggestions about our Privacy Policy, do not hesitate to contact Us at $emailDeveloper.

''';
const terms = '''
   This Terms of Use Agreement ("Agreement") sets forth the legally binding terms for your use of the $appName App. By using the $appName App services, you agree to be bound by this Agreement, whether you are a "User" (which means that you simply browse the $appName App). 
   
The term "User" refers to a Visitor or a Member. You are only authorized to use the $appName App Services (regardless of whether your access or use is intended) if you agree to abide by all applicable laws and to this Agreement. 

Please read this Agreement carefully and save it. If you do not agree with it, you should leave the $appName App and discontinue use of the $appName App Services immediately. 

By using the $appName App Services, you acknowledge your acceptance of this Agreement.

For questions regarding the Privacy Policy of this Agreement included below, please contact us at $emailDeveloper.

This Agreement includes $appName's policy for acceptable use of the $appName App Services and Content posted on the $appName App, your rights, obligations and restrictions regarding your use of the $appName App Services and $appName's Privacy Policy. You may receive a copy of this Agreement by emailing us at:


$emailDeveloper

Subject: Terms of Use Agreement.

''';
const dmca = '''
$appName is an online service provider as defined in the Digital Millennium Copyright Act. We provide legal copyright owners with the ability to self-publish on the Internet by uploading, storing and displaying various types of media. We do not actively monitor, screen or otherwise review the media which is uploaded to our servers by users of the service.

We take copyright violation very seriously and will vigorously protect the rights of legal copyright owners. If you are the copyright owner of content which appears on the FluMoviesPro website or $appName and you did not authorize the use of the content you must notify us in writing in order for us to identify the allegedly infringing content and take action.

In order to facilitate the process, we have provided an online form for your use. We will be unable to take any action if you do not provide us with the required information, so please fill out all fields accurately and completely. Alternatively, you may make a written notice via e-mail, facsimile or postal mail to our DMCA Agent as listed below. Your written notice must include the following: Specific identification of the copyrighted work which you are alleging to have been infringed. If you are alleging infringement of multiple copyrighted works with a single notification you must submit a representative list which specifically identifies each of the works that you allege are being infringed. Specific identification of the location and description of the material that is claimed to be infringing or to be the subject of infringing activity with enough detailed information to permit us to locate the material. You should include the specific URL or URLs of the web pages where the allegedly infringing material is located. Information reasonably sufficient to allow us to contact the complaining party which may include a name, address, telephone number and electronic mail address at which the complaining party may be contacted. A statement that the complaining party has a good faith belief that use of the material in the manner complained of is not authorized by the copyright owner, its agent or the law. A statement that the information in the notification is accurate, and under penalty of perjury that the complaining party is authorized to act on behalf of the owner of an exclusive right that is allegedly infringed.\n''';

const newPrivacy = '''
This Privacy Policy shall be read in conjunction and together with the Terms of Use forms an integral part of the User Agreement between You (“User(s) or you”) and $developerName (“We/Our/Us/$developerName”). Capitalized terms not defined herein shall have the meaning attributed to them under the Terms of Use / User Agreement

1. $developerName Terms of Privacy Policy

Privacy Policy describes how and when $developerName collects, processes, uses and shares your information when you use $developerName, including our mobile application $developerName and official websites (the "Services"). We receive your information through our mobile application, websites, email notifications, and other interactions with our Services. By accessing and/or using the Services, you consent and authorize us to the collection, transfer, processing, storage, disclosure and other uses of your information as described in this Privacy Policy. If you do not agree with any or all of the following terms of the Privacy Policy, please Do Not Use and/or access the Services.

2. Personal Data Collection and Use

We use Personal Information to facilitate and improve our Services and communicate with you following existing regulations, while data integrity, accuracy, relevancy and legally justified processing are ensured. The data we collect depends on the context of your interactions with us, the choices you make, including your privacy settings, and the products and features listed below (collectively “Personal Information” or “Personal Data”):

2.1 General Information

The general data we collect can include SDK/API/JS code version, browser, Internet service provider, IP address, platform, timestamp, application identifier, application version, application distribution channel, independent device identifier, Android ad master identifier, network card (MAC) address, and international mobile device identification code (IMEI), the equipment model, the terminal manufacturer, the terminal device operating system version, the session start / stop time, the location of the language, the time zone and the network state (WiFi and so on).

2.2 Information you provide

We collect information you provide when you contact with us, including your personal information such as your email address, mobile phone number and/or any other personal information you disclosing with us.

2.3 Cookies

We may use "cookie" technology to collect additional website usage data and to improve our Services, but we do not require cookies for many parts of our Services such as viewing public videos. A cookie is a small data file that is transferred to your computer's hard disk. $developerName may use both session cookies and persistent cookies to better understand how you interact with our Services, to monitor aggregate usage by our users and web traffic routing on our Services, and to customize and improve our Services. Most Internet browsers automatically accept cookies. If you do not want cookies from $developerName or other websites, you can instruct your browser, by changing its settings, to stop accepting cookies or to prompt you before accepting a cookie from the websites you visit. However, some Services may not function properly if you disable cookies.

2.4 Log Data

The servers automatically record information ("Log Data") created by your use of the Services. Log Data may include information such as your IP address, browser type, operating system, the referring web page, pages visited, your mobile carrier, device and application IDs, search terms, performance crash log data, Event Tracking Data, and cookie information. We receive Log Data and upload the Log Data, along with your contact list information you disclosing to us, to our analysis database https://l.urioy.com/, when you interact with our Services, for example, when you visit our websites, sign into our Services, view videos hosted by $developerName, or interact with our email notifications.

2.5 Other Non-Personal Identification Information

We do not collect the "Personal Information" which can identify you or another person. We may collect non-personal identification information about Users whenever they interact with our apps. Non-personal identification information may include the type of your phone, apps and other technical information about Users means of connection to our apps, such as the versions of phone model and other similar information.

2.6 Third-Party Services

If you login to our Services via Google Account, we ask for your permission to access certain information about that other account. Google makes information available to us through their APIs. The information we receive depends on what information you (via your privacy settings) or the platform or service decide to give us. Please refer to the Link to privacy policy of Google at https://policies.google.com/privacy.

3. Sensitive Personal Data and Information

$developerName will never ask you and you must never provide Sensitive Personal Data Or Information to $developerName or to any person/entity representing $developerName. Any disclosure of Sensitive Personal Data Or Information shall be at your sole risk and without any liability to $developerName. You understand, acknowledge and agree that $developerName or any other person acting on behalf of $developerName shall not in any manner be responsible for the authenticity of the Personal Information or Sensitive Personal Data or Information provided by you to $developerName.

You must note that any information that is freely available or accessible in public domain shall not be regarded as Personal Information or Sensitive Personal Data or Information for the purposes of this Privacy Policy and $developerName shall not be obliged to take any measures to protect the same since the same is freely available in the public domain. Please further note that identity theft and the practice currently known as "phishing" are of great concern to $developerName. We do not and will not, at any time, request your credit card information/debit card information/financial pin numbers and passwords.

4. Information Sharing and Disclosure

To improve our products and provide you with better service, We also share Personal Data with vendors or agents working on our behalf for the purposes described in this Privacy Policy. For example, companies we've hired to provide data analytical services may need collect and access to Personal Data to provide those functions. In such cases, these companies must abide by our data privacy and security requirements.

4.1 Service Providers

$developerName engages service providers to perform functions and provide services to us. We may share your Personal Information with such service providers subject to confidentiality obligations consistent with this Privacy Policy, and on the condition that the third parties use your Personal Data only on our behalf and pursuant to our instructions.

4.2 Law and Harm

$developerName may preserve or disclose your information if we believe that it is reasonably necessary to comply with a law, regulation or legal request; to protect the safety of any person; to address fraud, security or technical issues; or to protect $developerName’s rights or property. However, nothing in this Privacy Policy is intended to limit any legal defenses or objections that you may have to a third party's, including a government's, request to disclose your information.

4.3 Business Transfers

In the event that $developerName is involved in a merger, acquisition, reorganization or sale of assets, your information may be sold or transferred as part of that transaction. The promises in this Privacy Policy will apply to your information as transferred to the new entity. By providing your information to us, you consent to any transfer and processing in accordance with this Privacy Policy.

4.4 International Transfers

If $developerName needs to host/ store its data which includes the Users data as available with $developerName to severs falling out of Users jurisdiction, $developerName will take all reasonable efforts to ensure that transfer and storage of such data to servers located outside the Users jurisdiction are bound by duty of confidentiality.

4.5 Non-Private or Non-Personal Information

$developerName may share or disclose your non-private, aggregated or otherwise non-personal information, such as your public user profile information, public posts, the people you follow or that follow you, or the number of users who clicked on a particular link (even if only one did).

5. Age of Consent and Child Policy

Services is primarily meant for the Users who have attained the age of 16 years or above and you have given us your consent to allow any of your minor dependents (less than 13 years) to use and access our Services.

6. Our Policy Towards Children

Services are not directed to minors who are under the age of 13. If you become aware that your child has provided us with Personal Information without your consent, please email to supertuberstudio@gmail.com. We do not knowingly collect personal information from children under the age of 13. If we become aware that a child under the age of 13 has provided us with personal information, we take steps to remove such information and terminate the child's account.

7. Legal Basis for Personal Data Processing

$developerName processes Personal Data for the purposes set out in this Privacy Policy, as described above. Our legal basis to process Personal Data includes processing that is: necessary for the performance of the contract with you (for example, to provide you with the services you request and to identify and authenticate you so you may use our Service); necessary to comply with legal requirements (for example, to comply with applicable accounting rules and to make mandatory disclosures to law enforcement); necessary for our legitimate interests (for example, to manage our relationship with you, to ensure the security of our services, to communicate with you about our products and services); and based on consent by our customers (for example, to place certain cookies and to share your information with third parties for advertising purposes).In some instances, you may be required to provide us with Personal Data for processing as described above, in order for us to be able to provide you all of our services, and for you to use all the features of our Services.

8. Third Party Websites / Apps

Service may contain links to other websites/services owned and operated by third parties which are not under the control of $developerName ("Third-Party Websites/Apps"). Any Third Party Websites/App you visit by a link from our Service is solely the responsibility of owners of such Third Party Websites/Apps. The content of, including materials and information contained on, any Third Party Websites/Apps to which you link from our Service is solely the responsibility of the owner and provider of such Third Party Websites/Apps. Any transactions that you enter into with a third party listed in this Service or linked from our Service are solely between you and owner/provider of such Third Party Websites/Apps. $developerName is and shall not be responsible for any such Third Party Websites/Apps, any products or services sold or provided by such Third Party Websites/Apps, nor the organizations publishing those Third Party Websites/Apps, and hereby disclaim any responsibility and liability for the same. The inclusion of any links does not constitute or imply an endorsement or recommendation by us of the Third Party Websites/Apps and the services and products offered therein, of the quality of any product or service, advice, information or other materials displayed, purchased, or obtained by you as a result of an advertisement or any other information or offer in or in connection with the Third Party Websites/Apps. $developerName shall not be liable, accountable or responsible for your Personal Information and/or Sensitive Personal Data or Information being used or misused by such Third Party Websites/Apps.
Access and usage of any Third Party Websites/Apps is entirely at your own risk. $developerName shall not be a party to any transaction between you and a Third Party Websites/Apps. Your use of a Third Party Websites/Apps is subject to the terms and conditions and privacy policy of such Third Party Websites/Apps in addition to our Terms of Use/User Agreement and Privacy Policy.

9. Your Choices & Obligations

9.1 Data Retention

We keep most of your personal data for as long as your account is open.
We generally retain your personal data as long as you keep your account open or as needed to provide you Services. This includes data you or others provided to us and data generated or inferred from your use of our Services. In some cases we choose to retain certain information (e.g., insights about Services use) in a depersonalized or aggregated form.

9.2 Rights to Access and Control Your Personal Data

You can access or delete your personal data. You have many choices about how your data is collected, used and shared. For personal data that we have about you, you can:

●Delete Data: You can ask us to erase or delete all or some of your personal data (e.g., if it is no longer necessary to provide Services to you).

●Object to, or Limit or Restrict, Use of Data: You can ask us to stop using all or some of your personal data (e.g., if we have no legal right to keep using it) or to limit our use of it (e.g., if your personal data is inaccurate or unlawfully held).

●Right to Access and/or Take Your Data: You can ask us for a copy of your personal data and can ask for a copy of personal data you provided in machine readable form.

10. Limited Liability

Security of your Personal Information is a paramount importance for us and we want the same to be as safe as possible while using and accessing our Services. To this extent, we have implemented reasonable technical safeguards to protect your Personal Information. Whilst we will take all the reasonable steps to protect your Personal Information against potential risks and exposures, there is no absolute security in the online/ internet sphere as known to public. Therefore, you must not disclose any information on our Services that is Sensitive Personal Data or Information. You understand that the transmission of information over the internet is not completely secure and there are risks associated with it. Although we strive to protect your personal information, we cannot guarantee the security of the same while it is being transmitted to our Services and any transmission is at your own risk.

11. Support

If you do not consent to any part of the terms of this Privacy Policy or wish to withdraw consent to process Your Personal Data then you may stop using the Services and ask us to remove your Personal Data/ Information from our records by writing to us at $emailDeveloper.

12. Changes to this Policy

We may revise this Privacy Policy from time to time without any further notification (except for material changes). The most current version of the policy will govern our use of your Personal Information and will always be updated and available at [HWT1] . We make a change to this policy that, in our sole discretion, is material, we will notify you via an email to the email address associated with your account or through the Services. By continuing to access or use the Services after those changes become effective, you agree to be bound by the revised Privacy Policy.
''';

const newTerms = '''
By downloading or using the app, these terms will automatically apply to you – you should make sure therefore that you read them carefully before using the app. You’re not allowed to copy, or modify the app, any part of the app, or our trademarks in any way. You’re not allowed to attempt to extract the source code of the app, and you also shouldn’t try to translate the app into other languages, or make derivative versions. The app itself, and all the trade marks, copyright, database rights and other intellectual property rights related to it, still belong to $developerName Studio.

$developerName Studio is committed to ensuring that the app is as useful and efficient as possible. For that reason, we reserve the right to make changes to the app or to charge for its services, at any time and for any reason. We will never charge you for the app or its services without making it very clear to you exactly what you’re paying for.

The $developerName app stores and processes personal data that you have provided to us, in order to provide my Service. It’s your responsibility to keep your phone and access to the app secure. We therefore recommend that you do not jailbreak or root your phone, which is the process of removing software restrictions and limitations imposed by the official operating system of your device. It could make your phone vulnerable to malware/viruses/malicious programs, compromise your phone’s security features and it could mean that the $developerName app won’t work properly or at all.

The app does use third party services that declare their own Terms and Conditions.

Link to Terms and Conditions of third party service providers used by the app

Google Play Services

You should be aware that there are certain things that $developerName Studio will not take responsibility for. Certain functions of the app will require the app to have an active internet connection. The connection can be Wi-Fi, or provided by your mobile network provider, but $developerName Studio cannot take responsibility for the app not working at full functionality if you don’t have access to Wi-Fi, and you don’t have any of your data allowance left.

If you’re using the app outside of an area with Wi-Fi, you should remember that your terms of the agreement with your mobile network provider will still apply. As a result, you may be charged by your mobile provider for the cost of data for the duration of the connection while accessing the app, or other third party charges. In using the app, you’re accepting responsibility for any such charges, including roaming data charges if you use the app outside of your home territory (i.e. region or country) without turning off data roaming. If you are not the bill payer for the device on which you’re using the app, please be aware that we assume that you have received permission from the bill payer for using the app.

Along the same lines, $developerName Studio cannot always take responsibility for the way you use the app i.e. You need to make sure that your device stays charged – if it runs out of battery and you can’t turn it on to avail the Service, $developerName Studio cannot accept responsibility.

With respect to $developerName Studio’s responsibility for your use of the app, when you’re using the app, it’s important to bear in mind that although we endeavour to ensure that it is updated and correct at all times, we do rely on third parties to provide information to us so that we can make it available to you. $developerName Studio accepts no liability for any loss, direct or indirect, you experience as a result of relying wholly on this functionality of the app.

At some point, we may wish to update the app. The app is currently available on Android – the requirements for system(and for any additional systems we decide to extend the availability of the app to) may change, and you’ll need to download the updates if you want to keep using the app. $developerName Studio does not promise that it will always update the app so that it is relevant to you and/or works with the Android version that you have installed on your device. However, you promise to always accept updates to the application when offered to you, We may also wish to stop providing the app, and may terminate use of it at any time without giving notice of termination to you. Unless we tell you otherwise, upon any termination, (a) the rights and licenses granted to you in these terms will end; (b) you must stop using the app, and (if needed) delete it from your device.

Changes to This Terms and Conditions

I may update our Terms and Conditions from time to time. Thus, you are advised to review this page periodically for any changes. I will notify you of any changes by posting the new Terms and Conditions on this page.

These terms and conditions are effective as of 2023-09-18

Contact Us

If you have any questions or suggestions about my Terms and Conditions, do not hesitate to contact me at $emailDeveloper
''';
